Loading...
Searching...
No Matches
mbedtls_x509write_cert Struct Reference
X.509 module

`#include <x509_crt.h>`

Collaboration diagram for mbedtls_x509write_cert:
[legend]

## Data Fields

int | private_version
unsigned char | private_serial [MBEDTLS_X509_RFC5280_MAX_SERIAL_LEN]
size_t | private_serial_len
mbedtls_pk_context * | private_subject_key
mbedtls_pk_context * | private_issuer_key
mbedtls_asn1_named_data * | private_subject
mbedtls_asn1_named_data * | private_issuer
mbedtls_md_type_t | private_md_alg
char | private_not_before [MBEDTLS_X509_RFC5280_UTC_TIME_LEN+1]
char | private_not_after [MBEDTLS_X509_RFC5280_UTC_TIME_LEN+1]
mbedtls_asn1_named_data * | private_extensions

## Detailed Description

Container for writing a certificate (CRT)

Definition at line 217 of file x509_crt.h.

## Field Documentation

## private_extensions

mbedtls_asn1_named_data* mbedtls_x509write_cert::private_extensions

Definition at line 228 of file x509_crt.h.

## private_issuer

mbedtls_asn1_named_data* mbedtls_x509write_cert::private_issuer

Definition at line 224 of file x509_crt.h.

## private_issuer_key

mbedtls_pk_context* mbedtls_x509write_cert::private_issuer_key

Definition at line 222 of file x509_crt.h.

## private_md_alg

mbedtls_md_type_t mbedtls_x509write_cert::private_md_alg

Definition at line 225 of file x509_crt.h.

## private_not_after

char mbedtls_x509write_cert::private_not_after[MBEDTLS_X509_RFC5280_UTC_TIME_LEN+1]

Definition at line 227 of file x509_crt.h.

## private_not_before

char mbedtls_x509write_cert::private_not_before[MBEDTLS_X509_RFC5280_UTC_TIME_LEN+1]

Definition at line 226 of file x509_crt.h.

## private_serial

unsigned char mbedtls_x509write_cert::private_serial[MBEDTLS_X509_RFC5280_MAX_SERIAL_LEN]

Definition at line 219 of file x509_crt.h.

## private_serial_len

size_t mbedtls_x509write_cert::private_serial_len

Definition at line 220 of file x509_crt.h.

## private_subject

mbedtls_asn1_named_data* mbedtls_x509write_cert::private_subject

Definition at line 223 of file x509_crt.h.

## private_subject_key

mbedtls_pk_context* mbedtls_x509write_cert::private_subject_key

Definition at line 221 of file x509_crt.h.

## private_version

int mbedtls_x509write_cert::private_version

Definition at line 218 of file x509_crt.h.

The documentation for this struct was generated from the following file:

- x509_crt.h